Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.security.ldap
Class ActiveDirectoryUser

    java.lang.Object
      org.apache.turbine.services.security.ldap.LDAPUser
          org.apache.turbine.services.security.ldap.ActiveDirectoryUser

All Implemented Interfaces:
  Serializable, EventListener, javax.servlet.http.HttpSessionBindingListener, SecurityEntity, User

    public class ActiveDirectoryUser

extends LDAPUser

ActiveDirectoryUser extends LDAPUser and cares for the different handling of DNs in Active Directory.

Version:
  $Id: LDAPUser.java 534527 2007-05-02 16:10:59Z tv $
Author:
  Thomas Vandahl
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.turbine.om.security.User
`ACCESS_COUNTER, CONFIRM_DATA, CONFIRM_VALUE, EMAIL, FIRST_NAME, HAS_LOGGED_IN, LAST_LOGIN, LAST_NAME, PASSWORD, SESSION_ACCESS_COUNTER, SESSION_KEY, USERNAME`

Constructor Summary
`ActiveDirectoryUser()`

Method Summary
`String` | `getDN()` Gets the distinguished name (DN) of the User the AD-way.

Methods inherited from class org.apache.turbine.services.security.ldap.LDAPUser
`getAccessCounter, getAccessCounterForSession, getConfirmed, getCreateDate, getEmail, getFirstName, getId, getIdAsObj, getLastAccessDate, getLastLogin, getLastName, getLDAPAttributes, getName, getPassword, getPerm, getPerm, getPermStorage, getTemp, getTemp, getTempStorage, getTimeout, hasLoggedIn, incrementAccessCounter, incrementAccessCounterForSession, isConfirmed, removeTemp, save, save, save, setAccessCounter, setAccessCounterForSession, setConfirmed, setCreateDate, setEmail, setFirstName, setHasLoggedIn, setId, setLastAccessDate, setLastLogin, setLastName, setLDAPAttributes, setName, setPassword, setPerm, setPermStorage, setTemp, setTempStorage, setTimeout, updateLastLogin, valueBound, valueUnbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveDirectoryUser

    public ActiveDirectoryUser()

Method Detail

### getDN

    public String getDN()

  Gets the distinguished name (DN) of the User the AD-way.

  Overrides:
    `getDN` in class `LDAPUser`
  Returns:
    The Distinguished Name of the user.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.